Đến nội dung


Hình ảnh
- - - - -

Lisp Rãi Thép Sàn


  • Please log in to reply
6 replies to this topic

#1 c0ntructi0n

c0ntructi0n

    biết vẽ line

  • Members
  • PipPip
  • 27 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 29 May 2016 - 11:22 PM

Các cao thủ giúp mình cái lisp sau, mình xin giải thích như sau, cám ơn các bạn nhiều!

 

  1. Lệnh lisp là rrr
  2. Mình gõ lệnh, lisp sẽ hiện ra màn hình và mình click vào hai điểm 1 và 2 (2 điểm này cùng nằm ngang hoặc cùng thẳng đứng)è ta được con số, giả sử là 4000
  3. Tiếp lisp sẽ hỏi, khoảng cách rãi thép, giả sử 150
  4. Tiếp lisp sẽ hỏi đường kính thép là nhiêu, giả sử 10
  5. Tiếp lisp sẽ yêu cầu mình chọn text và nó sẽ ghi nội dung vào text mình đã chọn, kết quả là: 2710a150.
  6. Trong đó: 27=lấy phần nguyên của (4000/150)+1

http://www.cadviet.c...149122_cad1.dwg

149122_cad1.jpg


  • -1

#2 phongtran86

phongtran86

    biết lệnh offset

  • Members
  • PipPipPip
  • 177 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 30 May 2016 - 08:30 AM

Các cao thủ giúp mình cái lisp sau, mình xin giải thích như sau, cám ơn các bạn nhiều!

 

  1. Lệnh lisp là rrr
  2. Mình gõ lệnh, lisp sẽ hiện ra màn hình và mình click vào hai điểm 1 và 2 (2 điểm này cùng nằm ngang hoặc cùng thẳng đứng)è ta được con số, giả sử là 4000
  3. Tiếp lisp sẽ hỏi, khoảng cách rãi thép, giả sử 150
  4. Tiếp lisp sẽ hỏi đường kính thép là nhiêu, giả sử 10
  5. Tiếp lisp sẽ yêu cầu mình chọn text và nó sẽ ghi nội dung vào text mình đã chọn, kết quả là: 2710a150.
  6. Trong đó: 27=lấy phần nguyên của (4000/150)+1

http://www.cadviet.c...149122_cad1.dwg

149122_cad1.jpg

mình cũng có lisp này. về mình up lên giúp bạn


  • 1

#3 phongtran86

phongtran86

    biết lệnh offset

  • Members
  • PipPipPip
  • 177 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 30 May 2016 - 08:44 AM

mình cũng có lisp này. về mình up lên giúp bạn

(defun c:SL ( / a1 c)
(setq luu (getvar "osmode"))
(setq lay (getvar "clayer"))
;(command "layer" "s" "Defpoints" "")
;(command "osnap" "Perp,Near")
(setq a1 (getdist "\nCh\U+1ECDn kho\U+1EA3ng r\U+1EA3i th\U+00E9p: ")) 
(or (and a (or (= (type a) 'int) (= (type a) 'real))) (setq a 200))
(setq a (cond ((getdist (strcat "\nKho\U+1EA3ng c\U+00E1ch thanh th\U+00E9p <" (rtos a 2 2) ">:"))) (a)))
(or (and hbv (or (= (type hbv) 'int) (= (type hbv) 'real))) (setq hbv 10))
(setq hbv (cond ((getreal (strcat "\nduong kinh thep <" (rtos hbv 2 2) ">: "))) (hbv)))
(setq c (+ (/ a1 a) 1))
(while (setq ent (nentsel "\nCh\U+1ECDn ghi gi\U+00E1 tr\U+1ECB (Text ho\U+0103c ATT):" ))
(and (wcmatch (cdr (assoc 0 (entget (car ent)))) "ATTRIB,*TEXT")
(vla-put-textstring (vlax-ename->vla-object  (car ent)) (strcat (rtos c 2 0) "%%c" (rtos hbv 2 0) "a" (rtos a 2 0) ) )))
(SETVAR "clayer" lay)
(setvar "osmode" luu)
(princ)
)


  • 4

#4 c0ntructi0n

c0ntructi0n

    biết vẽ line

  • Members
  • PipPip
  • 27 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 30 May 2016 - 09:17 AM

Ok cám ơn phongtran86 nhieu, đung là cái lisp này luôn :D :D :D


  • 0

#5 790312

790312

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 204 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 30 May 2016 - 09:30 AM

(defun c:SL ( / a1 c)
(setq luu (getvar "osmode"))
(setq lay (getvar "clayer"))
;(command "layer" "s" "Defpoints" "")
;(command "osnap" "Perp,Near")
(setq a1 (getdist "\nCh\U+1ECDn kho\U+1EA3ng r\U+1EA3i th\U+00E9p: ")) 
(or (and a (or (= (type a) 'int) (= (type a) 'real))) (setq a 200))
(setq a (cond ((getdist (strcat "\nKho\U+1EA3ng c\U+00E1ch thanh th\U+00E9p <" (rtos a 2 2) ">:"))) (a)))
(or (and hbv (or (= (type hbv) 'int) (= (type hbv) 'real))) (setq hbv 10))
(setq hbv (cond ((getreal (strcat "\nduong kinh thep <" (rtos hbv 2 2) ">: "))) (hbv)))
(setq c (+ (/ a1 a) 1))
(while (setq ent (nentsel "\nCh\U+1ECDn ghi gi\U+00E1 tr\U+1ECB (Text ho\U+0103c ATT):" ))
(and (wcmatch (cdr (assoc 0 (entget (car ent)))) "ATTRIB,*TEXT")
(vla-put-textstring (vlax-ename->vla-object  (car ent)) (strcat (rtos c 2 0) "%%c" (rtos hbv 2 0) "a" (rtos a 2 0) ) )))
(SETVAR "clayer" lay)
(setvar "osmode" luu)
(princ)
)

Mình dùng font khi đánh phi phải đánh Alt+222 chứ không phải %%c thì sửa lisp như thế nào?


  • 0

#6 traitimgio

traitimgio

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 May 2016 - 11:13 AM

Mình dùng font khi đánh phi phải đánh Alt+222 chứ không phải %%c thì sửa lisp như thế nào?

bạn thử xem tùy kiểu font có kiểu gõ phi: /g. ` , ~ hay j đấy thay vào chỗ %%C


  • -1

#7 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 30 May 2016 - 05:07 PM

Mình dùng font khi đánh phi phải đánh Alt+222 chứ không phải %%c thì sửa lisp như thế nào?

Dự là bạn dùng font VNI, nếu vậy bạn có thể thay "%%c" bằng: "\U+00DE" hoặc "\U+00FE"


  • 0